Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.tools.v1
Class FileToDatabase

    java.lang.Object
      |
      +--oracle.portal.provider.tools.v1.FileToDatabase

public class FileToDatabase
extends java.lang.Object

`FileToDatabase` is a command line utility used for migrating cusomizations stored with `FilePersonalizationManager` or `DefaultPortletPersonalizationManager` to the format used by `DBPersonalizationManager2`. The utility is designed to run on JVM versions 1.1 and higher and is invoked in the following manner:-

`java -DConnectionManager.config=/path/to/connectionManager.xml oracle.portal.provider.tools.v1.FileToDatabase [mandatory arguments] [optional arguments]`

where the mandatory arguments are:-

`/path/to/provider.xml` - The location of the XML Provider Definition for those providers whose portlet's customizations are to be migrated.
`path/to/rootDir` - The root directory holding the customization files. By default, PDK-Java saves these to the `provider_root`
`connectionName` - The name of the database connection to be used. This is specified in the `connectionManager.xml`

and the optional arguments are:-

`-t tableName` - The name of the database table into which customizations will be inserted. Default: `jpdk_preference_store2`
`-p providerID` - The id of aspecific provider instance whose portlet's customizations are to be migrated. Default: all directories below `rootDir` whose names are parsable as `long`s.
`-o portletID` - The id of a specific portlet whose customizations are to be migrated. Default: all portlets that are declared in the XML Provider Definition to use `FilePersonalizationManager` or `DefaultPortletPersonalizationManager`. Note that this optional argument may be supplied without a `providerID` argument.
`-c transformClassName` - The name of a loadable Java class that implements `Transform`. If this argument is supplied, an instance of this class will be used to transform customization data objects before they are written in to the database. This is accomplished by a call to the `Transform.transform(Object)` method. Note that the user must supply the logic to transfer the data by providing the implementation of this method. Default: No data object transform will occur.
`-l logFile` - A file to which messages will be logged. Default: the console window.

Run this utility with the same `classpath` used to start up the JServ JVM on which the Provider exists. A database table equivalent to that created by the `/jpdk/providers/dbPersonalization2/jpdk_preference_store2.sql` script must exist in the target database before this utility is invoked.

Method Summary
`static void` | `main(java.lang.String[] args)` Entry point for the customization migration utility.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

  Entry point for the customization migration utility. Mandatory arguments must be supplied and a combination of optional arguments may also be supplied as described in the class level Javadoc.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD